# DOTFILES
Manejo de dotfiles con stow.

## PREPARACIóN
- Crear dentro de ~/dotfiles un directorio con el nombre del programa, en este 
  ejemplo: "tmux".
- En su interior poner la misma estructura de archivos que tendría en nuestro 
  "home". En nuestro "home" sería: "~/.pinerc" así que dentro de "dotfiles" 
  quedaría: "~/dotfiles/tmux/.pinerc".

## USO:
### Instalación de dotfiles:
```sh
cd ~/dotfiles
```

Si ejecutamos lo siguiente, hará una simulación de lo que ejecutará:
```sh
stow --adopt -nv tmux
```

Así vereremos que simulará crear un enlace desde "~/dotfiles/tmux/.pinerc"
hacia "~/.pinerc". Si quitamos el parámetro "n" hará la ejecución:
```sh
stow --adopt -v tmux
```

También, simplemente se puede ejecutar stow pasándole como parámetro la
carpeta de las dotfiles a instalar. Siguiendo el ejemplo sería:
```sh
stow tmux
```

### Desinstalación de dotfiles:
Para desinstalar en concreo las dotfiles de un programa, seguimos con el 
ejemplo del tmux:
```sh
cd ~/dotfiles
stow -D tmux
```

